## org.apache.lucene.util
Class Parameter

    java.lang.Object
      org.apache.lucene.util.Parameter

All Implemented Interfaces:
  Serializable

Deprecated. Use Java 5 enum, will be removed in a later Lucene 3.x release.

    @Deprecated
    public abstract class Parameter

extends Object
implements Serializable

A serializable Enum class.

See Also:
  Serialized Form
NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

Constructor Summary
`protected` `Parameter(String name)` Deprecated.

Method Summary
`protected Object` `readResolve()` Deprecated. Resolves the deserialized instance to the local reference for accurate equals() and == comparisons.
`String` `toString()` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Parameter

    protected Parameter(String name)

  Deprecated.

Method Detail

### toString

    public String toString()

  Deprecated.
  Overrides:
    `toString` in class `Object`

### readResolve

    protected Object readResolve()
                          throws ObjectStreamException

  Deprecated.
  Resolves the deserialized instance to the local reference for accurate equals() and == comparisons.

  Returns:
    a reference to Parameter as resolved in the local VM
  Throws:
    `ObjectStreamException`